#!/bin/sh -e
# Copyright (C)2004..2014 @BABOLO http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
echo '$Id: test.sh,v 1.4 2014/08/29 19:46:33 babolo Exp $'

echo;echo "tools/gen 0x50000 8192 > tools/test.t"
tools/gen 0x50000 8192 > tools/test.t

echo;echo "tools/test -pf $1 -b 8192 -r tools/test.t"
tools/test -pf $1 -b 8192 -r tools/test.t

echo;echo "tools/test -pf $1 -b 16001 -r tools/test.t"
tools/test -pf $1 -b 16001 -r tools/test.t

echo;echo "tools/test -pf $1 -b 33333 -r tools/test.t"
tools/test -pf $1 -b 33333 -r tools/test.t

echo;echo "tools/test -pf $1 -r tools/test.t 456 34678 59687 345763"
tools/test -pf $1 -r tools/test.t 456 34678 59687 345763

echo;echo "tools/gen 0x50000 16384 | tools/test -pf $1 -b 8192"
tools/gen 0x50000 16384 | tools/test -pf $1 -b 8192

echo;echo "tools/gen 0x50000 16999 | tools/test -pf $1 -b 8192"
tools/gen 0x50000 16999 | tools/test -pf $1 -b 8192

echo;echo "tools/gen 0x50000 16384 | tools/test -pf $1 -b 33333"
tools/gen 0x50000 16384 | tools/test -pf $1 -b 33333

echo;echo "tools/gen 0x50000 16384 | tools/test -pf $1 456 34678 59687 345763"
tools/gen 0x50000 16384 | tools/test -pf $1 456 34678 59687 345763

echo;echo "tools/gen -yt 10000 25 5 | tools/test -pf $1 -b 8192 -x yyy"
tools/gen -yt 10000 25 5 | tools/test -pf $1 -b 8192 -x yyy

echo;echo "tools/gen -yt 10000 25 5 | tools/test -pf $1 -b 8192 -x yyyyyy"
tools/gen -yt 10000 25 5 | tools/test -pf $1 -b 8192 -x yyyyyy

echo;echo "tools/gen -yt 10000 25 5 | tools/test -pf $1 -b 8192 -x abacabac"
tools/gen -yt 10000 25 5 | tools/test -pf $1 -b 8192 -x abacabac

echo;echo "tools/gen -t 10000 25 5 | tools/test -pf $1 -b 8192 -x ''"
tools/gen -t 10000 25 5 | tools/test -pf $1 -b 8192 -x ''

echo;echo "tools/gen -yt 10000 25 5 | tools/test -pf $1 -sb 0 -x yyy"
tools/gen -yt 10000 25 5 | tools/test -pf $1 -sb 0 -x yyy

echo;echo "tools/gen -yt 10000 25 5 | tools/test -pf $1 -sb 0 -x yyyyyy"
tools/gen -yt 10000 25 5 | tools/test -pf $1 -sb 0 -x yyyyyy

echo;echo "tools/gen -yt 10000 25 5 | tools/test -pf $1 -sb 0 -x abacabac"
tools/gen -yt 10000 25 5 | tools/test -pf $1 -sb 0 -x abacabac

echo;echo "tools/gen -t 10000 25 5 | tools/test -pf $1 -sb 0 -x ''"
tools/gen -t 10000 25 5 | tools/test -pf $1 -sb 0 -x ''

echo;echo "tools/gen -t 20000 10 5 | tools/test -pfb 678 -t 10000"
tools/gen -t 20000 10 5 | tools/test -pfb 678 -t 10000

rm -f tools/test.t

echo;echo "tools/gen 1000000 50000 > tools/test.t"
tools/gen 1000000 50000 > tools/test.t

echo;echo "tools/test -pf $1 -r tools/test.t 34 56 67 900000"
tools/test -pf $1 -r tools/test.t 34 56 67 900000

echo;echo "tools/test -pf  -r tools/test.t -sb 0"
tools/test -pf  -r tools/test.t -sb 0

echo;echo "tools/test -pf -r tools/test.t -b 0"
tools/test -pf -r tools/test.t -b 0

rm -f tools/test.t

echo;echo "tools/gen -y 1000000 50000 > tools/test.t"
tools/gen -y 1000000 50000 > tools/test.t

echo;echo "tools/test -pf $1 -r tools/test.t -x yyy -b 0"
tools/test -pf $1 -r tools/test.t -x yyy -b 0

echo;echo "tools/test -pf $1 -r tools/test.t -x yyy -sb 0"
tools/test -pf $1 -r tools/test.t -x yyy -sb 0

exit

echo;echo ""
